Revocation status
Get revocation status
Parameters
Name
In
Type
Required
Description
Get the revocation status of a credential. More info about Revocation Status
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
regIdstring · min: 64 · max: 64Required
32 byte hex string. Ignoring higher base (base64) for simplicity.
revIdstring · min: 64 · max: 64Required
32 byte hex string. Ignoring higher base (base64) for simplicity.
Responses
200
Returns true if credential is revoked, otherwise false is returned.
application/json
typebooleanOptional
400
Application error
application/json
404
Registry was not found.
application/json
get
/revocationStatus/{regId}/{revId}Get revocation status witness
Parameters
Name
In
Type
Required
Description
Get the revocation status witness of a BBS+ credential. More info about Revocation Status
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
regIdstring · min: 64 · max: 64Required
32 byte hex string. Ignoring higher base (base64) for simplicity.
revIdstring · min: 64 · max: 64Required
32 byte hex string. Ignoring higher base (base64) for simplicity.
Responses
200
Returns the membership witness of a BBS+ credential.
application/json
objectOptional
400
This registry does not support membership witnesses.
application/json
404
Membership witness was not found.
application/json
get
/revocationStatus/{regId}/{revId}/witnessLast updated
Was this helpful?